TransitionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class TransitionImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ComponentImpl
    - - tv.amwa.maj.model.impl.TransitionImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QComponent, MediaEntity, MetadataObject, Component, InterchangeObject, Transition

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=5888,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="Transition",
                  description="The Transition class specifies that the two adjacent Segments should be overlapped when they are played and the overlapped sections should be combined using the specified effect.",
                  symbol="Transition")
      public class TransitionImpl
      extends ComponentImpl
      implements Transition, Serializable, Cloneable

  Implements a means to indicate that the two adjacent Segments should be overlapped when they are played and that the overlapped sections should be combined using the specified effect. Transitions are used to specify sequences according to the specified rules for a sequence. The operation that they specify must be appropriate for use in a transition, which means that it has two inputs and a level parameter.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionImpl()`
    `TransitionImpl(DataDefinition dataDefinition, long length, OperationGroup operationGroup, long cutPoint)` Creates and initializes a transition, which specifies that the two adjacent `segments` should be overlapped when they are played and that the overlapped sections should be combined using the specified effect.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transition` | `clone()` Create a cloned copy of this interchange object.
    `long` | `getCutPoint()` Returns the point at which a cut would be inserted if this transition were removed.
    `OperationGroup` | `getTransitionOperation()` Returns the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.
    `static long` | `initializeCutPoint()`
    `static OperationGroup` | `initializeTransitionOperation()`
    `void` | `setCutPoint(long cutPoint)` Sets the point at which a cut would be inserted if this transition were removed.
    `void` | `setTransitionOperation(OperationGroup transitionOperation)` Sets the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

    - ### Methods inherited from class tv.amwa.maj.model.impl.ComponentImpl

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComment, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getEditName, getJupiterClipOffset, getJupiterID, getLengthPresent, initializeComponentDataDefinition, prependComponentAttribute, prependComponentKLVData, prependComponentUserComment, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setComponentLengthFromStream, setEditName, setJupiterClipOffset, setJupiterID, setLengthPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### TransitionImpl

          public TransitionImpl()

    - #### TransitionImpl

          public TransitionImpl(DataDefinition dataDefinition,
                                @LengthType
                                long length,
                                OperationGroup operationGroup,
                                @PositionType
                                long cutPoint)
                         throws NullPointerException,
                                BadLengthException

      Creates and initializes a transition, which specifies that the two adjacent `segments` should be overlapped when they are played and that the overlapped sections should be combined using the specified effect.

      Parameters:
        `dataDefinition` - Kind of data represented by the new transition component.
        `length` - Length of the transition component.
        `cutPoint` - The point at which a cut would be inserted if the transition were removed.
        `operationGroup` - An operation group that specifies the effect to be performed during the new transition.
      Throws:
        `NullPointerException` - The data definition and/or operation group arguments is/are `null`.
        `BadLengthException` - Cannot set the length of a segment with a negative value.

  - ### Method Detail

    - #### getCutPoint

          @MediaProperty(uuid1=117571843,
                         uuid2=262,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="CutPoint",
                         typeName="PositionType",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=6146,
                         symbol="CutPoint")
          public long getCutPoint()

      Description copied from interface: `Transition`

      Returns the point at which a cut would be inserted if this transition were removed.

      Specified by:
        `getCutPoint` in interface `Transition`
      Returns:
        Point at which a cut would be inserted if the transition were removed.

    - #### setCutPoint

          @MediaPropertySetter(value="CutPoint")
          public void setCutPoint(long cutPoint)

      Description copied from interface: `Transition`

      Sets the point at which a cut would be inserted if this transition were removed.

      Specified by:
        `setCutPoint` in interface `Transition`
      Parameters:
        `cutPoint` - Point at which a cut would be inserted if the transition were removed.

    - #### initializeCutPoint

          public static final long initializeCutPoint()

    - #### getTransitionOperation

          @MediaProperty(uuid1=100729092,
                         uuid2=517,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="TransitionOperation",
                         aliases={"OperationGroup","TransitionOperationGroup"},
                         typeName="OperationGroupStrongReference",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=6145,
                         symbol="TransitionOperation")
          public OperationGroup getTransitionOperation()

      Description copied from interface: `Transition`

      Returns the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

      Specified by:
        `getTransitionOperation` in interface `Transition`
      Returns:
        Operation group associated with the transition.
      See Also:
        `OperationGroup.isValidTransitionOperation()`, `TypeDefinitions.OperationGroupStrongReference`

    - #### setTransitionOperation

          @MediaPropertySetter(value="TransitionOperation")
          public void setTransitionOperation(OperationGroup transitionOperation)
                                                                                        throws NullPointerException

      Description copied from interface: `Transition`

      Sets the operation group defining the operation of this transition, which specifies the effect to be applied during the transition.

      Specified by:
        `setTransitionOperation` in interface `Transition`
      Parameters:
        `transitionOperation` - Operation group associated with the transition.
      Throws:
        `NullPointerException` - The given operation group is `null`.
      See Also:
        `OperationGroup.isValidTransitionOperation()`

    - #### initializeTransitionOperation

          public static final OperationGroup initializeTransitionOperation()

    - #### clone

          public Transition clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Transition`
      Overrides:
        `clone` in class `ComponentImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.